---
Date: 2022-08-22
Author: Alexandre LUCAZEAU
Title: Nixos - Avoir un environnement PostgreSQL de développement grace à nixshell
Slug: 
categories: Nixos
draft: true
Tags: 
- nixos
- nixshell
- postgresql
---
# Nixos et la doc ?
Une fois entré dans l'univers de **Nixos**, la première chose qui m'a manqué c'est la documentation.

La lecture du wiki n'est pas facile quand on débute. La source première est bien souvent les dépôts git de ses utilisateurs, une merveille même.

Il y a un côté assez frustrant, la documentation semble tellement manquée.

Pourtant, la documentation est complète et la lecture du code des paquets n'est pas très compliquée, on apprend vite à le comprendre.

Un outil, magique, n'est pas suffisament mis en avant. Il s'agit de **nixos-option**. Cet outil est en réalité un indispensable. Il vous permettra de tout découvrir, et comment l'employer.

Vous souhaitez mettre en place une sauvegarde avec **restic** ? Vous cherchez la doc sur la création des comptes utilisateurs ?

    nixos-option users.users
    nixos-option services.restic.server
    nixos-option

Exécutée sans argument, vous aurez la documentation racine. Libre alors de parcourir les catégories pour découvrir la doc associé, avec des exemples, et la liste des attributs à un mot clé et sa sous arborescence.
